## org.eclipse.ocl.cst
Interface InvOrDefCS

All Superinterfaces:
  CSTNode, EObject, Notifier

All Known Subinterfaces:
  DefCS, InvCS

All Known Implementing Classes:
  DefCSImpl, InvCSImpl, InvOrDefCSImpl

    public interface InvOrDefCS

extends CSTNode

A representation of the model object 'Inv Or Def CS'.

The following features are supported:

- `Simple Name CS`
- `Inv Or Def CS`

See Also:
  `CSTPackage.getInvOrDefCS()`

Method Summary
`InvOrDefCS` `getInvOrDefCS()` Returns the value of the 'Inv Or Def CS' reference
`SimpleNameCS` `getSimpleNameCS()` Returns the value of the 'Simple Name CS' containment reference
`void` `setInvOrDefCS(InvOrDefCS value)` Sets the value of the '`Inv Or Def CS`' reference
`void` `setSimpleNameCS(SimpleNameCS value)` Sets the value of the '`Simple Name CS`' containment reference

Methods inherited from interface org.eclipse.ocl.cst.CSTNode
`getEndOffset, getStartOffset, setEndOffset, setStartOffset`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getSimpleNameCS

    SimpleNameCS getSimpleNameCS()

  Returns the value of the 'Simple Name CS' containment reference.

  If the meaning of the 'Simple Name CS' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Simple Name CS' containment reference.
  See Also:
    `setSimpleNameCS(SimpleNameCS)`, `CSTPackage.getInvOrDefCS_SimpleNameCS()`

### setSimpleNameCS

    void setSimpleNameCS(SimpleNameCS value)

  Sets the value of the '`Simple Name CS`' containment reference.

  Parameters:
    `value` - the new value of the 'Simple Name CS' containment reference.
  See Also:
    `getSimpleNameCS()`

### getInvOrDefCS

    InvOrDefCS getInvOrDefCS()

  Returns the value of the 'Inv Or Def CS' reference.

  If the meaning of the 'Inv Or Def CS' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Inv Or Def CS' reference.
  See Also:
    `setInvOrDefCS(InvOrDefCS)`, `CSTPackage.getInvOrDefCS_InvOrDefCS()`

### setInvOrDefCS

    void setInvOrDefCS(InvOrDefCS value)

  Sets the value of the '`Inv Or Def CS`' reference.

  Parameters:
    `value` - the new value of the 'Inv Or Def CS' reference.
  See Also:
    `getInvOrDefCS()`

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.